JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

Loading...
Searching...
No Matches
Classes | Enumerations
juce::dsp::StateVariableFilter Namespace Reference
juce_dsp » processors

Classes for state variable filter processing. More...

## Classes
class | Filter
| An IIR filter that can perform low, band and high-pass filtering on an audio signal, with 12 dB of attenuation per octave, using a TPT structure, designed for fast modulation (see Vadim Zavalishin's documentation about TPT structures for more information). More...
struct | Parameters
| Structure used for the state variable filter parameters. More...

## Enumerations
enum class | StateVariableFilterType { lowPass , bandPass , highPass }

## Detailed Description

Classes for state variable filter processing.

## Enumeration Type Documentation

## ◆ StateVariableFilterType

enum class juce::dsp::StateVariableFilter::StateVariableFilterType
| strong

Enumerator
lowPass |
bandPass |
highPass |